▼ |  | Plot: Graph Plotting

1 | Introduction
2 | 2D and 3D Plotting Procedures
3 | 2D Renderers
4 | 3D Renderers
5 | Nonrenderers
6 | Axis Transforms and Ticks
7 | Plot Utilities
8 | Plot and Renderer Parameters
9 | Plot Contracts
10 | Porting From Plot <= 5.1.3
11 | Legacy Typed Interface
12 | Compatibility Module

► | 8 | Plot and Renderer Parameters

8.1 | Compatibility
8.2 | Output
8.3 | General Appearance
8.4 | Lines
8.5 | Intervals
8.6 | Points and Point Labels
8.7 | Vector Fields
8.8 | Error Bars
8.9 | Candlesticks
8.10 | Contours and Contour Intervals
8.11 | Contour Surfaces
8.12 | Rectangles
8.13 | Non-Border Axes
8.14 | Surfaces

On this page:

8.1`` Compatibility
plot-deprecation-warnings?
8.2`` Output
plot-new-window?
plot-width
plot-height
plot-jpeg-quality
plot-ps/ pdf-interactive?
8.3`` General Appearance
plot-title
plot-x-label
plot-y-label
plot-z-label
plot-x-far-label
plot-y-far-label
plot-z-far-label
plot3d-samples
plot3d-angle
plot3d-altitude
plot3d-ambient-light
plot3d-diffuse-light?
plot3d-specular-light?
plot-foreground
plot-background
plot-foreground-alpha
plot-background-alpha
plot-font-size
plot-font-face
plot-font-family
plot-legend-anchor
plot-legend-box-alpha
plot-tick-size
plot-x-tick-label-anchor
plot-y-tick-label-anchor
plot-x-far-tick-label-anchor
plot-y-far-tick-label-anchor
plot-x-tick-label-angle
plot-y-tick-label-angle
plot-x-far-tick-label-angle
plot-y-far-tick-label-angle
plot-x-axis?
plot-y-axis?
plot-z-axis?
plot-x-far-axis?
plot-y-far-axis?
plot-z-far-axis?
plot-x-tick-labels?
plot-y-tick-labels?
plot-z-tick-labels?
plot-x-far-tick-labels?
plot-y-far-tick-labels?
plot-z-far-tick-labels?
plot-animating?
animated-samples
plot-decorations?
8.4`` Lines
line-samples
line-color
line-width
line-style
line-alpha
8.5`` Intervals
interval-color
interval-style
interval-line1-color
interval-line1-width
interval-line1-style
interval-line2-color
interval-line2-width
interval-line2-style
interval-alpha
8.6`` Points and Point Labels
point-sym
point-size
point-alpha
point-x-jitter
point-y-jitter
point-z-jitter
point-color
point-line-width
label-anchor
label-angle
label-alpha
label-point-size
8.7`` Vector Fields
vector-field-samples
vector-field3d-samples
vector-field-color
vector-field-line-width
vector-field-line-style
vector-field-scale
vector-field-alpha
8.8`` Error Bars
error-bar-width
error-bar-color
error-bar-line-width
error-bar-line-style
error-bar-alpha
8.9`` Candlesticks
candlestick-width
candlestick-up-color
candlestick-down-color
candlestick-line-width
candlestick-line-style
candlestick-alpha
8.10`` Contours and Contour Intervals
default-contour-colors
default-contour-fill-colors
contour-samples
contour-levels
contour-colors
contour-widths
contour-styles
contour-alphas
contour-interval-colors
contour-interval-styles
contour-interval-alphas
8.11`` Contour Surfaces
contour-interval-line-colors
contour-interval-line-widths
contour-interval-line-styles
8.12`` Rectangles
rectangle-color
rectangle-style
rectangle-line-color
rectangle-line-width
rectangle3d-line-width
rectangle-line-style
rectangle-alpha
discrete-histogram-gap
discrete-histogram-skip
discrete-histogram-invert?
stacked-histogram-colors
stacked-histogram-styles
stacked-histogram-line-colors
stacked-histogram-line-widths
stacked-histogram-line-styles
stacked-histogram-alphas
8.13`` Non-Border Axes
x-axis-ticks?
y-axis-ticks?
x-axis-labels?
y-axis-labels?
x-axis-far?
y-axis-far?
x-axis-alpha
y-axis-alpha
polar-axes-number
polar-axes-ticks?
polar-axes-labels?
polar-axes-alpha
8.14`` Surfaces
surface-color
surface-style
surface-line-color
surface-line-width
surface-line-style
surface-alpha
default-isosurface-colors
default-isosurface-line-colors
isosurface-levels
isosurface-colors
isosurface-styles
isosurface-line-colors
isosurface-line-widths
isosurface-line-styles
isosurface-alphas

7.2
top ← prev up next →

### 8`` Plot and Renderer Parameters

(require plot) | package: plot-gui-lib

#### 8.1`` Compatibility

> > parameter

> > (plot-deprecation-warnings?) → boolean?

> (plot-deprecation-warnings? warnings) → void?
> warnings : boolean?

> = | #f

When #t, prints a deprecation warning to current-error-port on the first use of mix, line, contour, shade, surface, or a keyword argument of plot or plot3d that exists solely for backward compatibility.

#### 8.2`` Output

> > parameter

> > (plot-new-window?) → boolean?

> (plot-new-window? new-window?) → void?
> new-window? : boolean?

> = | #f

When #t, plot and plot3d open a new window for each plot instead of returning an image-snip%.

Users of command-line Racket, which cannot display image snips, should enter

> (plot-new-window? #t)

before using plot or plot3d.

> > parameter

> > (plot-width) → exact-positive-integer?

> (plot-width width) → void?
> width : exact-positive-integer?

> = | 400

> > parameter

> > (plot-height) → exact-positive-integer?

> (plot-height height) → void?
> height : exact-positive-integer?

> = | 400

The width and height of a plot, in logical drawing units (e.g. pixels for bitmap plots). Used for default arguments of plotting procedures such as plot and plot3d.

> > parameter

> > (plot-jpeg-quality) → (integer-in 0 100)

> (plot-jpeg-quality quality) → void?
> quality : (integer-in 0 100)

> = | 100

The quality of JPEG images written by plot-file and plot3d-file. See save-file.

> > parameter

> > (plot-ps/pdf-interactive?) → boolean?

> (plot-ps/pdf-interactive? interactive?) → void?
> interactive? : boolean?

> = | #f

If #t, plot-file and plot3d-file open a dialog when writing PostScript or PDF files. See post-script-dc% and pdf-dc%.

#### 8.3`` General Appearance

> > parameter

> > (plot-title) → (or/c string? #f)

> (plot-title title) → void?
> title : (or/c string? #f)

> = | #f

> > parameter

> > (plot-x-label) → (or/c string? #f)

> (plot-x-label label) → void?
> label : (or/c string? #f)

> = | "x axis"

> > parameter

> > (plot-y-label) → (or/c string? #f)

> (plot-y-label label) → void?
> label : (or/c string? #f)

> = | "y axis"

> > parameter

> > (plot-z-label) → (or/c string? #f)

> (plot-z-label label) → void?
> label : (or/c string? #f)

> = | #f

Title and near axis labels. A #f value means the label is not drawn and takes no space. A "" value effectively means the label is not drawn, but it takes space. Used as default keyword arguments of plotting procedures such as plot and plot3d.

> > parameter

> > (plot-x-far-label) → (or/c string? #f)

> (plot-x-far-label label) → void?
> label : (or/c string? #f)

> = | #f

> > parameter

> > (plot-y-far-label) → (or/c string? #f)

> (plot-y-far-label label) → void?
> label : (or/c string? #f)

> = | #f

> > parameter

> > (plot-z-far-label) → (or/c string? #f)

> (plot-z-far-label label) → void?
> label : (or/c string? #f)

> = | #f

Far axis labels. A #f value means the label is not drawn and takes no space. A "" value effectively means the label is not drawn, but it takes space. See plot-x-ticks for a discussion of near and far axes.

> > parameter

> > (plot3d-samples) → (and/c exact-integer? (>=/c 2))

> (plot3d-samples n) → void?
> n : (and/c exact-integer? (>=/c 2))

> = | 41

Number of samples taken of functions plotted by 3D renderers, per-axis. Used as the default #:samples argument of surface3d, polar3d, isoline3d, contours3d, contour-intervals3d, isosurface3d and isosurfaces3d.

> > parameter

> > (plot3d-angle) → real?

> (plot3d-angle angle) → void?
> angle : real?

> = | 30

> > parameter

> > (plot3d-altitude) → real?

> (plot3d-altitude altitude) → void?
> altitude : real?

> = | 60

The angle and altitude of the camera in rendering 3D plots, in degrees. Used as default keyword arguments of plotting procedures such as plot3d.

> > parameter

> > (plot3d-ambient-light) → (real-in 0 1)

> (plot3d-ambient-light amt) → void?
> amt : (real-in 0 1)

> = | 2/3

> > parameter

> > (plot3d-diffuse-light?) → boolean?

> (plot3d-diffuse-light? diffuse?) → void?
> diffuse? : boolean?

> = | #t

> > parameter

> > (plot3d-specular-light?) → boolean?

> (plot3d-specular-light? specular?) → void?
> specular? : boolean?

> = | #t

Amount of ambient light, and whether 3D plots are rendered with diffuse and specular reflectance.

> > parameter

> > (plot-foreground) → plot-color/c

> (plot-foreground color) → void?
> color : plot-color/c

> = | 0

> > parameter

> > (plot-background) → plot-color/c

> (plot-background color) → void?
> color : plot-color/c

> = | 0

The plot foreground and background color. That both are 0 by default is not a mistake: for foreground colors, 0 is interpreted as black; for background colors, 0 is interpreted as white. See ->pen-color and ->brush-color for details on how Plot interprets integer colors.

> > parameter

> > (plot-foreground-alpha) → (real-in 0 1)

> (plot-foreground-alpha alpha) → void?
> alpha : (real-in 0 1)

> = | 1

> > parameter

> > (plot-background-alpha) → (real-in 0 1)

> (plot-background-alpha alpha) → void?
> alpha : (real-in 0 1)

> = | 1

The opacity of the background and foreground colors.

> > parameter

> > (plot-font-size) → (>=/c 0)

> (plot-font-size size) → void?
> size : (>=/c 0)

> = | 11

> > parameter

> > (plot-font-face) → (or/c string? #f)

> (plot-font-face face) → void?
> face : (or/c string? #f)

> = | #f

> > parameter

> > (plot-font-family) → font-family/c

> (plot-font-family family) → void?
> family : font-family/c

> = | 'roman

The font size (in drawing units), face, and family of the title, axis labels, tick labels, and other labels.

> > parameter

> > (plot-legend-anchor) → anchor/c

> (plot-legend-anchor anchor) → void?
> anchor : anchor/c

> = | 'top-left

> > parameter

> > (plot-legend-box-alpha) → (real-in 0 1)

> (plot-legend-box-alpha alpha) → void?
> alpha : (real-in 0 1)

> = | 2/3

The placement of the legend and the opacity of its background.

> > parameter

> > (plot-tick-size) → (>=/c 0)

> (plot-tick-size size) → void?
> size : (>=/c 0)

> = | 10

The length of tick lines, in drawing units.

> > parameter

> > (plot-x-tick-label-anchor) → anchor/c

> (plot-x-tick-label-anchor anchor) → void?
> anchor : anchor/c

> = | 'top

> > parameter

> > (plot-y-tick-label-anchor) → anchor/c

> (plot-y-tick-label-anchor anchor) → void?
> anchor : anchor/c

> = | 'right

> > parameter

> > (plot-x-far-tick-label-anchor) → anchor/c

> (plot-x-far-tick-label-anchor anchor) → void?
> anchor : anchor/c

> = | 'bottom

> > parameter

> > (plot-y-far-tick-label-anchor) → anchor/c

> (plot-y-far-tick-label-anchor anchor) → void?
> anchor : anchor/c

> = | 'left

> > parameter

> > (plot-x-tick-label-angle) → real?

> (plot-x-tick-label-angle angle) → void?
> angle : real?

> = | 0

> > parameter

> > (plot-y-tick-label-angle) → real?

> (plot-y-tick-label-angle angle) → void?
> angle : real?

> = | 0

> > parameter

> > (plot-x-far-tick-label-angle) → real?

> (plot-x-far-tick-label-angle angle) → void?
> angle : real?

> = | 0

> > parameter

> > (plot-y-far-tick-label-angle) → real?

> (plot-y-far-tick-label-angle angle) → void?
> angle : real?

> = | 0

Anchor and angles for axis tick labels (2D only). Angles are in degrees. The anchor refers to the part of the label attached to the end of the tick line.

Set these when labels would otherwise overlap; for example, in histograms with long category names.

> > (parameterize ([plot-x-tick-label-anchor 'top-right]
> [plot-x-tick-label-angle 30])
> (plot (discrete-histogram '(#(really-long-category-name-1 2)
> #(long-category-name-2 1.75)
> #(long-category-name-3 2.5)))))

> > parameter

> > (plot-x-axis?) → boolean?

> (plot-x-axis? draw?) → void?
> draw? : boolean?

> = | #t

> > parameter

> > (plot-y-axis?) → boolean?

> (plot-y-axis? draw?) → void?
> draw? : boolean?

> = | #t

> > parameter

> > (plot-z-axis?) → boolean?

> (plot-z-axis? draw?) → void?
> draw? : boolean?

> = | #t

> > parameter

> > (plot-x-far-axis?) → boolean?

> (plot-x-far-axis? draw?) → void?
> draw? : boolean?

> = | #t

> > parameter

> > (plot-y-far-axis?) → boolean?

> (plot-y-far-axis? draw?) → void?
> draw? : boolean?

> = | #t

> > parameter

> > (plot-z-far-axis?) → boolean?

> (plot-z-far-axis? draw?) → void?
> draw? : boolean?

> = | #t

When any of these is #f, the corresponding axis is not drawn.

Use these along with x-axis and y-axis renderers if you want axes that intersect the origin or some other point.

> > parameter

> > (plot-x-tick-labels?) → boolean?

> (plot-x-tick-labels? draw?) → void?
> draw? : boolean?

> = | #t

> > parameter

> > (plot-y-tick-labels?) → boolean?

> (plot-y-tick-labels? draw?) → void?
> draw? : boolean?

> = | #t

> > parameter

> > (plot-z-tick-labels?) → boolean?

> (plot-z-tick-labels? draw?) → void?
> draw? : boolean?

> = | #t

> > parameter

> > (plot-x-far-tick-labels?) → boolean?

> (plot-x-far-tick-labels? draw?) → void?
> draw? : boolean?

> > parameter

> > (plot-y-far-tick-labels?) → boolean?

> (plot-y-far-tick-labels? draw?) → void?
> draw? : boolean?

> > parameter

> > (plot-z-far-tick-labels?) → boolean?

> (plot-z-far-tick-labels? draw?) → void?
> draw? : boolean?

When any of these is #f, the corresponding labels for the ticks on the axis are not drawn. These parameters work together with the parameters like plot-x-axis? that control the drawing of the axes; i.e. tick labels won’t be drawn unless the axis itself is drawn.

> > parameter

> > (plot-animating?) → boolean?

> (plot-animating? animating?) → void?
> animating? : boolean?

> = | #f

When #t, certain renderers draw simplified plots to speed up drawing. Plot sets it to #t, for example, when a user is clicking and dragging a 3D plot to rotate it.

> > procedure

> > (animated-samples samples) → (and/c exact-integer? (>=/c 2))

> samples : (and/c exact-integer? (>=/c 2))

Given a number of samples, returns the number of samples to use. This returns samples when plot-animating? is #f.

> > parameter

> > (plot-decorations?) → boolean?

> (plot-decorations? draw?) → void?
> draw? : boolean?

> = | #t

When #f, axes, axis labels, ticks, tick labels, and the title are not drawn.

#### 8.4`` Lines

> > parameter

> > (line-samples) → (and/c exact-integer? (>=/c 2))

> (line-samples n) → void?
> n : (and/c exact-integer? (>=/c 2))

> = | 500

The number of points to sample when approximating a line. Used as a default keyword argument in function, inverse, parametric, polar, density, function-interval, inverse-interval, parametric-interval, polar-interval, area-histogram and parametric3d.

> > parameter

> > (line-color) → plot-color/c

> (line-color color) → void?
> color : plot-color/c

> = | 1

> > parameter

> > (line-width) → (>=/c 0)

> (line-width width) → void?
> width : (>=/c 0)

> = | 1

> > parameter

> > (line-style) → plot-pen-style/c

> (line-style style) → void?
> style : plot-pen-style/c

> = | 'solid

> > parameter

> > (line-alpha) → (real-in 0 1)

> (line-alpha alpha) → void?
> alpha : (real-in 0 1)

> = | 1

The pen color, pen width, pen style and opacity of lines in plots. Used as default keyword arguments of function, inverse, lines, parametric, polar, density, isoline, lines3d, parametric3d and isoline3d.

#### 8.5`` Intervals

> > parameter

> > (interval-color) → plot-color/c

> (interval-color color) → void?
> color : plot-color/c

> = | 3

> > parameter

> > (interval-style) → plot-brush-style/c

> (interval-style style) → void?
> style : plot-brush-style/c

> = | 'solid

> > parameter

> > (interval-line1-color) → plot-color/c

> (interval-line1-color color) → void?
> color : plot-color/c

> = | 3

> > parameter

> > (interval-line1-width) → (>=/c 0)

> (interval-line1-width width) → void?
> width : (>=/c 0)

> = | 1

> > parameter

> > (interval-line1-style) → plot-pen-style/c

> (interval-line1-style style) → void?
> style : plot-pen-style/c

> = | 'solid

> > parameter

> > (interval-line2-color) → plot-color/c

> (interval-line2-color color) → void?
> color : plot-color/c

> = | 3

> > parameter

> > (interval-line2-width) → (>=/c 0)

> (interval-line2-width width) → void?
> width : (>=/c 0)

> = | 1

> > parameter

> > (interval-line2-style) → plot-pen-style/c

> (interval-line2-style style) → void?
> style : plot-pen-style/c

> = | 'solid

> > parameter

> > (interval-alpha) → (real-in 0 1)

> (interval-alpha alpha) → void?
> alpha : (real-in 0 1)

> = | 3/4

The brush color/style, lower line pen color/width/style, upper line pen color/width/style, and opacity of interval plots. Used as default keyword arguments of function-interval, inverse-interval, lines-interval, parametric-interval and polar-interval.

#### 8.6`` Points and Point Labels

> > parameter

> > (point-sym) → point-sym/c

> (point-sym sym) → void?
> sym : point-sym/c

> = | 'circle

> > parameter

> > (point-size) → (>=/c 0)

> (point-size size) → void?
> size : (>=/c 0)

> = | 6

> > parameter

> > (point-alpha) → (real-in 0 1)

> (point-alpha alpha) → void?
> alpha : (real-in 0 1)

> = | 1

The symbol, and its size and opacity, used in point plots. Used as default keyword arguments of points and points3d.

> > parameter

> > (point-x-jitter) → (>=/c 0)

> (point-x-jitter x-jitter) → void?
> x-jitter : (>=/c 0)

> = | 0

> > parameter

> > (point-y-jitter) → (>=/c 0)

> (point-y-jitter y-jitter) → void?
> y-jitter : (>=/c 0)

> = | 0

> > parameter

> > (point-z-jitter) → (>=/c 0)

> (point-z-jitter z-jitter) → void?
> z-jitter : (>=/c 0)

> = | 0

When any of x-jitter, y-jitter, or z-jitter are non-zero, points and points3d will produce points randomly translated from their original position along the x, y, or z axis, respectively. For instance, if each parameter is set to 0.5, then points '(0 0) will produce a random point in a square of area 1 centered at '(0 0). Likewise points3d will make a random point within a unit cube centered at '(0 0 0).

> > parameter

> > (point-color) → plot-color/c

> (point-color color) → void?
> color : plot-color/c

> = | 0

> > parameter

> > (point-line-width) → (>=/c 0)

> (point-line-width width) → void?
> width : (>=/c 0)

> = | 1

The color and line width of symbols used in point plots and labeled points. Used as default keyword arguments of points and points3d, as well as in point-label, function-label, inverse-label, parametric-label, polar-label and point-label3d.

> > parameter

> > (label-anchor) → anchor/c

> (label-anchor anchor) → void?
> anchor : anchor/c

> = | 'left

> > parameter

> > (label-angle) → real?

> (label-angle angle) → void?
> angle : real?

> = | 0

> > parameter

> > (label-alpha) → (real-in 0 1)

> (label-alpha alpha) → void?
> alpha : (real-in 0 1)

> = | 1

> > parameter

> > (label-point-size) → (>=/c 0)

> (label-point-size size) → void?
> size : (>=/c 0)

> = | 4

Point label anchor, angle, and opacity, and the size of points next to labels. Used as default keyword arguments of point-label, function-label, inverse-label, parametric-label, polar-label and point-label3d.

#### 8.7`` Vector Fields

> > parameter

> > (vector-field-samples) → exact-positive-integer?

> (vector-field-samples n) → void?
> n : exact-positive-integer?

> = | 20

> > parameter

> > (vector-field3d-samples) → exact-positive-integer?

> (vector-field3d-samples n) → void?
> n : exact-positive-integer?

> = | 9

The default number of samples vector-field and vector-field3d take, respectively.

> > parameter

> > (vector-field-color) → plot-color/c

> (vector-field-color color) → void?
> color : plot-color/c

> = | 1

> > parameter

> > (vector-field-line-width) → (>=/c 0)

> (vector-field-line-width width) → void?
> width : (>=/c 0)

> = | 2/3

> > parameter

> > (vector-field-line-style) → plot-pen-style/c

> (vector-field-line-style style) → void?
> style : plot-pen-style/c

> = | 'solid

> > parameter

> > (vector-field-scale)

> → (or/c real? (one-of/c 'auto 'normalized))
> (vector-field-scale scale) → void?
> scale : (or/c real? (one-of/c 'auto 'normalized))

> = | 'auto

> > parameter

> > (vector-field-alpha) → (real-in 0 1)

> (vector-field-alpha alpha) → void?
> alpha : (real-in 0 1)

> = | 1

The default pen color, pen width, pen style, scaling factor, and opacity used by vector-field and vector-field3d.

#### 8.8`` Error Bars

> > parameter

> > (error-bar-width) → (>=/c 0)

> (error-bar-width width) → void?
> width : (>=/c 0)

> = | 6

> > parameter

> > (error-bar-color) → plot-color/c

> (error-bar-color color) → void?
> color : plot-color/c

> = | 0

> > parameter

> > (error-bar-line-width) → (>=/c 0)

> (error-bar-line-width pen-width) → void?
> pen-width : (>=/c 0)

> = | 1

> > parameter

> > (error-bar-line-style) → plot-pen-style/c

> (error-bar-line-style pen-style) → void?
> pen-style : plot-pen-style/c

> = | 'solid

> > parameter

> > (error-bar-alpha) → (real-in 0 1)

> (error-bar-alpha alpha) → void?
> alpha : (real-in 0 1)

> = | 2/3

The default width, pen color/width/style, and opacity used by error-bars.

#### 8.9`` Candlesticks

> > parameter

> > (candlestick-width) → (>=/c 0)

> (candlestick-width width) → void?
> width : (>=/c 0)

> = | 1

> > parameter

> > (candlestick-up-color) → plot-color/c

> (candlestick-up-color color) → void?
> color : plot-color/c

> = | 2

> > parameter

> > (candlestick-down-color) → plot-color/c

> (candlestick-down-color color) → void?
> color : plot-color/c

> = | 1

> > parameter

> > (candlestick-line-width) → (>=/c 0)

> (candlestick-line-width pen-width) → void?
> pen-width : (>=/c 0)

> = | 1

> > parameter

> > (candlestick-line-style) → plot-pen-style/c

> (candlestick-line-style pen-style) → void?
> pen-style : plot-pen-style/c

> = | 'solid

> > parameter

> > (candlestick-alpha) → (real-in 0 1)

> (candlestick-alpha alpha) → void?
> alpha : (real-in 0 1)

> = | 2/3

The default width, pen color/width/style, and opacity used by candlesticks. Both the up (a candle whose open value is lower than its close value) color and the down (a candle whose open value is higher than its close value) color can be specified independently. The width parameter will be important to specify if your x-axis is in units like days, weeks, or months. Because dates are actually represented as seconds from an epoch, your width should take that into consideration. For example, a width of 86400 may be useful for x-axis values in days as there are 86400 seconds in a day. This candle will be exactly one day in width.

#### 8.10`` Contours and Contour Intervals

> > procedure

> > (default-contour-colors zs) → (listof plot-color/c)

> zs : (listof real?)

> =

> (color-seq* (list (->pen-color 5) (->pen-color 0) (->pen-color 1))
> (length zs))

> > procedure

> > (default-contour-fill-colors z-ivls) → (listof plot-color/c)

> z-ivls : (listof ivl?)

> =

> (color-seq* (list (->brush-color 5) (->brush-color 0) (->brush-color 1))
> (length z-ivls))

The default values of the parameters contour-colors and contour-interval-colors, respectively.

> > parameter

> > (contour-samples) → (and/c exact-integer? (>=/c 2))

> (contour-samples n) → void?
> n : (and/c exact-integer? (>=/c 2))

> = | 51

The number of samples taken in 2D contour plots. Used as a defaut keyword argument in isoline, contours and contour-intervals.

> > parameter

> > (contour-levels)

> → (or/c 'auto exact-positive-integer? (listof real?))
> (contour-levels levels) → void?
> levels : (or/c 'auto exact-positive-integer? (listof real?))

> = | 'auto

> > parameter

> > (contour-colors) → (plot-colors/c (listof real?))

> (contour-colors colors) → void?
> colors : (plot-colors/c (listof real?))

> = | default-contour-colors

> > parameter

> > (contour-widths) → (pen-widths/c (listof real?))

> (contour-widths widths) → void?
> widths : (pen-widths/c (listof real?))

> = | '(1)

> > parameter

> > (contour-styles) → (plot-pen-styles/c (listof real?))

> (contour-styles styles) → void?
> styles : (plot-pen-styles/c (listof real?))

> = | '(solid long-dash)

The number, pen colors, pen widths, and pen styles of lines in contour plots. Used as default keyword arguments of contours, contour-intervals, contours3d, and contour-intervals3d.

> > parameter

> > (contour-alphas) → (alphas/c (listof real?))

> (contour-alphas alphas) → void?
> alphas : (alphas/c (listof real?))

> = | '(1)

The opacities of lines in contour plots. Used as a default keyword argument in contours and contours3d.

> > parameter

> > (contour-interval-colors) → (plot-colors/c (listof ivl?))

> (contour-interval-colors colors) → void?
> colors : (plot-colors/c (listof ivl?))

> = | default-contour-fill-colors

> > parameter

> > (contour-interval-styles)

> → (plot-brush-styles/c (listof ivl?))
> (contour-interval-styles styles) → void?
> styles : (plot-brush-styles/c (listof ivl?))

> = | '(solid)

> > parameter

> > (contour-interval-alphas) → (alphas/c (listof ivl?))

> (contour-interval-alphas alphas) → void?
> alphas : (alphas/c (listof ivl?))

> = | '(1)

The brush colors, brush styles, and opacities of intervals in contour plots. Used as default keyword arguments of contour-intervals and contour-intervals3d.

#### 8.11`` Contour Surfaces

> > parameter

> > (contour-interval-line-colors) → (plot-colors/c (listof ivl?))

> (contour-interval-line-colors colors) → void?
> colors : (plot-colors/c (listof ivl?))

> = | '(0)

> > parameter

> > (contour-interval-line-widths) → (pen-widths/c (listof ivl?))

> (contour-interval-line-widths widths) → void?
> widths : (pen-widths/c (listof ivl?))

> = | '(1/3)

> > parameter

> > (contour-interval-line-styles)

> → (plot-pen-styles/c (listof ivl?))
> (contour-interval-line-styles styles) → void?
> styles : (plot-pen-styles/c (listof ivl?))

> = | '(solid)

The pen colors, widths, and styles of the sampling grid, where it intersects contour intervals. Used as default keyword arguments of contour-intervals3d.

#### 8.12`` Rectangles

> > parameter

> > (rectangle-color) → plot-color/c

> (rectangle-color color) → void?
> color : plot-color/c

> = | 3

> > parameter

> > (rectangle-style) → plot-brush-style/c

> (rectangle-style style) → void?
> style : plot-brush-style/c

> = | 'solid

> > parameter

> > (rectangle-line-color) → plot-color/c

> (rectangle-line-color pen-color) → void?
> pen-color : plot-color/c

> = | 3

> > parameter

> > (rectangle-line-width) → (>=/c 0)

> (rectangle-line-width pen-width) → void?
> pen-width : (>=/c 0)

> = | 1

> > parameter

> > (rectangle3d-line-width) → (>=/c 0)

> (rectangle3d-line-width pen-width) → void?
> pen-width : (>=/c 0)

> = | 1/3

> > parameter

> > (rectangle-line-style) → plot-pen-style/c

> (rectangle-line-style pen-style) → void?
> pen-style : plot-pen-style/c

> = | 'solid

> > parameter

> > (rectangle-alpha) → (real-in 0 1)

> (rectangle-alpha alpha) → void?
> alpha : (real-in 0 1)

> = | 1

The brush color/style of faces, pen color/width/style of edges, and opacity of recangles. Used as default keyword arguments of rectangles, area-histogram, discrete-histogram, rectangles3d and discrete-histogram3d.

The default pen width of 3D rectangle edges is narrower for aesthetic reasons.

> > parameter

> > (discrete-histogram-gap) → (real-in 0 1)

> (discrete-histogram-gap gap) → void?
> gap : (real-in 0 1)

> = | 1/8

The gap between histogram bars, as a percentage of bar width. Used as a default keyword argument of discrete-histogram, stacked-histogram, discrete-histogram3d and stacked-histogram3d.

> > parameter

> > (discrete-histogram-skip) → (>=/c 0)

> (discrete-histogram-skip skip) → void?
> skip : (>=/c 0)

> = | 1

> > parameter

> > (discrete-histogram-invert?) → boolean?

> (discrete-histogram-invert? invert?) → void?
> invert? : boolean?

> = | #f

Distance on the x axis between histogram bars, and whether to draw histograms horizontally. Used as default keyword arguments of discrete-histogram and stacked-histogram.

> > parameter

> > (stacked-histogram-colors) → (plot-colors/c nat/c)

> (stacked-histogram-colors colors) → void?
> colors : (plot-colors/c nat/c)

> = | (λ (n) (build-list n add1))

> > parameter

> > (stacked-histogram-styles) → (plot-brush-styles/c nat/c)

> (stacked-histogram-styles styles) → void?
> styles : (plot-brush-styles/c nat/c)

> = | '(solid)

> > parameter

> > (stacked-histogram-line-colors) → (plot-colors/c nat/c)

> (stacked-histogram-line-colors pen-colors) → void?
> pen-colors : (plot-colors/c nat/c)

> = | (stacked-histogram-colors)

> > parameter

> > (stacked-histogram-line-widths) → (pen-widths/c nat/c)

> (stacked-histogram-line-widths pen-widths) → void?
> pen-widths : (pen-widths/c nat/c)

> = | '(1)

> > parameter

> > (stacked-histogram-line-styles) → (plot-pen-styles/c nat/c)

> (stacked-histogram-line-styles pen-styles) → void?
> pen-styles : (plot-pen-styles/c nat/c)

> = | '(solid)

> > parameter

> > (stacked-histogram-alphas) → (alphas/c nat/c)

> (stacked-histogram-alphas alphas) → void?
> alphas : (alphas/c nat/c)

> = | '(1)

Stacked histogram brush colors/styles, pen colors/widths/styles, and opacities. Used as default keyword arguments of stacked-histogram and stacked-histogram3d.

#### 8.13`` Non-Border Axes

> > parameter

> > (x-axis-ticks?) → boolean?

> (x-axis-ticks? ticks?) → void?
> ticks? : boolean?

> = | #t

> > parameter

> > (y-axis-ticks?) → boolean?

> (y-axis-ticks? ticks?) → void?
> ticks? : boolean?

> = | #t

> > parameter

> > (x-axis-labels?) → boolean?

> (x-axis-labels? labels?) → void?
> labels? : boolean?

> = | #f

> > parameter

> > (y-axis-labels?) → boolean?

> (y-axis-labels? labels?) → void?
> labels? : boolean?

> = | #f

> > parameter

> > (x-axis-far?) → boolean?

> (x-axis-far? far?) → void?
> far? : boolean?

> = | #f

> > parameter

> > (y-axis-far?) → boolean?

> (y-axis-far? far?) → void?
> far? : boolean?

> = | #f

> > parameter

> > (x-axis-alpha) → (real-in 0 1)

> (x-axis-alpha alpha) → void?
> alpha : (real-in 0 1)

> = | 1

> > parameter

> > (y-axis-alpha) → (real-in 0 1)

> (y-axis-alpha alpha) → void?
> alpha : (real-in 0 1)

> = | 1

Default values for keyword arguments of x-axis, y-axis and axes.

> > parameter

> > (polar-axes-number) → exact-nonnegative-integer?

> (polar-axes-number n) → void?
> n : exact-nonnegative-integer?

> = | 12

> > parameter

> > (polar-axes-ticks?) → boolean?

> (polar-axes-ticks? ticks?) → void?
> ticks? : boolean?

> = | #t

> > parameter

> > (polar-axes-labels?) → boolean?

> (polar-axes-labels? labels?) → void?
> labels? : boolean?

> = | #t

> > parameter

> > (polar-axes-alpha) → (real-in 0 1)

> (polar-axes-alpha alpha) → void?
> alpha : (real-in 0 1)

> = | 1/2

Number of polar axes, whether radius ticks (i.e. lines) are drawn, whether labels are drawn, and opacity. Used as default keyword arguments of polar-axes.

#### 8.14`` Surfaces

> > parameter

> > (surface-color) → plot-color/c

> (surface-color color) → void?
> color : plot-color/c

> = | 0

> > parameter

> > (surface-style) → plot-brush-style/c

> (surface-style style) → void?
> style : plot-brush-style/c

> = | 'solid

> > parameter

> > (surface-line-color) → plot-color/c

> (surface-line-color pen-color) → void?
> pen-color : plot-color/c

> = | 0

> > parameter

> > (surface-line-width) → (>=/c 0)

> (surface-line-width pen-width) → void?
> pen-width : (>=/c 0)

> = | 1/3

> > parameter

> > (surface-line-style) → plot-pen-style/c

> (surface-line-style pen-style) → void?
> pen-style : plot-pen-style/c

> = | 'solid

> > parameter

> > (surface-alpha) → (real-in 0 1)

> (surface-alpha alpha) → void?
> alpha : (real-in 0 1)

> = | 1

Surface brush color/style, pen color/width/style of the sampling grid where it intersects the surface, and opacity. Used as default keyword arguments of surface3d, polar3d and isosurface3d.

> > procedure

> > (default-isosurface-colors zs) → (listof plot-color/c)

> zs : (listof real?)

> =

> (color-seq* (list (->brush-color 5) (->brush-color 0) (->brush-color 1))
> (length zs))

> > procedure

> > (default-isosurface-line-colors zs) → (listof plot-color/c)

> zs : (listof real?)

> =

> (color-seq* (list (->pen-color 5) (->pen-color 0) (->pen-color 1))
> (length zs))

The default values of the parameters isosurface-colors and isosurface-line-colors, respectively.

> > parameter

> > (isosurface-levels)

> → (or/c 'auto exact-positive-integer? (listof real?))
> (isosurface-levels levels) → void?
> levels : (or/c 'auto exact-positive-integer? (listof real?))

> = | 'auto

> > parameter

> > (isosurface-colors) → (plot-colors/c (listof real?))

> (isosurface-colors colors) → void?
> colors : (plot-colors/c (listof real?))

> = | default-isosurface-colors

> > parameter

> > (isosurface-styles) → (plot-brush-styles/c (listof real?))

> (isosurface-styles styles) → void?
> styles : (plot-brush-styles/c (listof real?))

> = | '(solid)

> > parameter

> > (isosurface-line-colors) → (plot-colors/c (listof real?))

> (isosurface-line-colors pen-colors) → void?
> pen-colors : (plot-colors/c (listof real?))

> = | default-isosurface-line-colors

> > parameter

> > (isosurface-line-widths) → (pen-widths/c (listof real?))

> (isosurface-line-widths pen-widths) → void?
> pen-widths : (pen-widths/c (listof real?))

> = | '(1/3)

> > parameter

> > (isosurface-line-styles) → (plot-pen-styles/c (listof real?))

> (isosurface-line-styles pen-styles) → void?
> pen-styles : (plot-pen-styles/c (listof real?))

> = | '(solid)

> > parameter

> > (isosurface-alphas) → (alphas/c (listof real?))

> (isosurface-alphas alphas) → void?
> alphas : (alphas/c (listof real?))

> = | '(1/2)

The number, brush colors/styles, pen colors/widths/styles, grid color/widths/styles, and opacities of nested isosurfaces. Used as default keyword arguments of isosurfaces3d.
top ← prev up next →